Databases - Export

Veritabanını bacpac'e aktarır.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/export?api-version=2014-04-01

URI Parametreleri

Name İçinde Gerekli Tür Description
databaseName
path True

string

Dışarı aktarılacak veritabanının adı.

resourceGroupName
path True

string

Kaynağı içeren kaynak grubunun adı. Bu değeri Azure Resource Manager API'sinden veya portaldan alabilirsiniz.

serverName
path True

string

Sunucunun adı.

subscriptionId
path True

string

Azure aboneliğini tanımlayan abonelik kimliği.

api-version
query True

string

İstek için kullanılacak API sürümü.

İstek Gövdesi

Name Tür Description
parameters

ExportRequest

Veritabanını dışarı aktarmak için gerekli parametreler.

Yanıtlar

Name Tür Description
200 OK

ImportExportResponse

Tamam

202 Accepted

Kabul edildi

Örnekler

Export a database into a new bacpac file with SAS key
Export a database into a new bacpac file with storage key

Export a database into a new bacpac file with SAS key

Örnek isteği

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-5961/databases/testdb/export?api-version=2014-04-01

{
  "storageKeyType": "SharedAccessKey",
  "storageKey": "?sr=b&sp=rw&se=2018-01-01T00%3A00%3A00Z&sig=sdfsdfklsdjflSLIFJLSIEJFLKSDJFDd/%2wdfskdjf3%3D&sv=2015-07-08",
  "storageUri": "https://test.blob.core.windows.net/bacpacs/testbacpac.bacpac",
  "administratorLogin": "dummyLogin",
  "administratorLoginPassword": "<administratorLoginPassword>",
  "authenticationType": "SQL"
}

Örnek yanıt

{
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-5961/importExportOperationResult/f01d7bfe-7162-44e7-9350-f1c85ce83e4c",
  "name": "f01d7bfe-7162-44e7-9350-f1c85ce83e4c",
  "type": "Microsoft.Sql/servers/importExportOperationResults",
  "properties": {
    "requestId": "f01d7bfe-7162-44e7-9350-f1c85ce83e4c",
    "requestType": "Export",
    "queuedTime": "3/1/2017 12:14:25 AM",
    "lastModifiedTime": "3/1/2017 12:16:33 AM",
    "blobUri": "https://test.blob.core.windows.net/bacpacs/test.bacpac",
    "serverName": "test",
    "databaseName": "testdb",
    "status": "Completed",
    "errorMessage": null
  }
}

Export a database into a new bacpac file with storage key

Örnek isteği

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-5961/databases/testdb/export?api-version=2014-04-01

{
  "storageKeyType": "StorageAccessKey",
  "storageKey": "sdlfkjdsf+sdlfkjsdlkfsjdfLDKFJSDLKFDFKLjsdfksjdflsdkfD2342309432849328479324/3RSD==",
  "storageUri": "https://test.blob.core.windows.net/bacpacs/testbacpac.bacpac",
  "administratorLogin": "dummyLogin",
  "administratorLoginPassword": "<administratorLoginPassword>",
  "authenticationType": "SQL"
}

Örnek yanıt

{
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-5961/importExportOperationResult/f01d7bfe-7162-44e7-9350-f1c85ce83e4c",
  "name": "f01d7bfe-7162-44e7-9350-f1c85ce83e4c",
  "type": "Microsoft.Sql/servers/importExportOperationResults",
  "properties": {
    "requestId": "f01d7bfe-7162-44e7-9350-f1c85ce83e4c",
    "requestType": "Export",
    "queuedTime": "3/1/2017 12:14:25 AM",
    "lastModifiedTime": "3/1/2017 12:16:33 AM",
    "blobUri": "https://test.blob.core.windows.net/bacpacs/test.bacpac",
    "serverName": "test",
    "databaseName": "testdb",
    "status": "Completed",
    "errorMessage": null
  }
}

Tanımlar

Name Description
AuthenticationType

Kimlik doğrulama türü.

ExportRequest

Veritabanını dışarı aktarmak için gerekli parametreler.

ImportExportResponse

Alma/Dışarı Aktarma işlemi için yanıt.

StorageKeyType

Kullanılacak depolama anahtarının türü.

AuthenticationType

Kimlik doğrulama türü.

Değer Description
SQL
ADPassword

ExportRequest

Veritabanını dışarı aktarmak için gerekli parametreler.

Name Tür Default value Description
administratorLogin

string

SQL yöneticisinin adı.

administratorLoginPassword

string

SQL yöneticisinin parolası.

authenticationType

AuthenticationType

SQL

Kimlik doğrulama türü.

storageKey

string

Kullanılacak depolama anahtarı. Depolama anahtarı türü SharedAccessKey ise, önce "?." olmalıdır

storageKeyType

StorageKeyType

Kullanılacak depolama anahtarının türü.

storageUri

string

Kullanılacak depolama uri'si.

ImportExportResponse

Alma/Dışarı Aktarma işlemi için yanıt.

Name Tür Description
id

string

Kaynak Kimliği.

name

string

Kaynak adı.

properties.blobUri

string

Blob uri'sini.

properties.databaseName

string

Veritabanının adı.

properties.errorMessage

string

Sunucudan döndürülen hata iletisi.

properties.lastModifiedTime

string

İşlem durumu son değiştirme zamanı.

properties.queuedTime

string

İşlem sıraya alındı süresi.

properties.requestId

string (uuid)

İşlemin istek türü.

properties.requestType

string

İşlemin istek türü.

properties.serverName

string

Sunucunun adı.

properties.status

string

Sunucudan döndürülen durum iletisi.

type

string

Kaynak türü.

StorageKeyType

Kullanılacak depolama anahtarının türü.

Değer Description
StorageAccessKey
SharedAccessKey